import 'dart:async';

import 'package:design/design.dart';
import 'package:flutter/rendering.dart';
import 'package:guru_widgets/button/guru_button.dart';
import 'package:guru_widgets/guru_widgets.dart';
import 'package:guru_widgets/image/adaptive_image.dart';
import 'package:guru_widgets/theme/guru_theme.dart';
import 'package:guru_utils/router/router.dart';


class ConsolePopup extends StatefulWidget {

  const ConsolePopup({super.key});

  @override
  State<StatefulWidget> createState() => _ConsolePopupState();
}

class _ConsolePopupState extends State<ConsolePopup> {
  late GuruThemeData guruTheme;

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    const spacer = SizedSpacer(height: 8, width: 8);
  
    return Padding(
      padding: const EdgeInsets.all(20),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        children: [
          GuruButton(
            size: const Size(271, 48),
            action: "Paint Size",
            onPressed: () {
              debugPaintSizeEnabled = !debugPaintSizeEnabled;
            },
          ),
          spacer,
          GuruButton(
            size: const Size(271, 48),
            action: "Paint Baselines",
            onPressed: () {
              debugPaintBaselinesEnabled = !debugPaintBaselinesEnabled;
            },
          ),
          spacer,
          GuruButton(
            size: const Size(271, 48),
            action: "Paint Layer Borders",
            onPressed: () {
              debugPaintLayerBordersEnabled = !debugPaintLayerBordersEnabled;
            },
          ),
          spacer,
          GuruButton(
            size: const Size(271, 48),
            action: "Paint Pointers",
            onPressed: () {
              debugPaintPointersEnabled = !debugPaintPointersEnabled;
            },
          ),
        ],
      ),
    );
  }
}
